Skip to main content
GET
/
v1
/
customers
/
{id}
/
payment_methods
/
{pm_id}
Get Customer Payment Method
curl --request GET \
  --url https://api.withflex.com/v1/customers/{id}/payment_methods/{pm_id} \
  --header 'Authorization: Bearer <token>'
{
  "payment_method": {
    "payment_method_id": "obj_01EXAMPLE00000000000000000",
    "billing_details": {
      "email": "john.doe@example.com",
      "name": "Example",
      "phone": "+15555555555"
    },
    "customer": "string",
    "metadata": {},
    "card": {
      "country": "string",
      "exp_month": 12,
      "exp_year": 2025,
      "last4": "string"
    },
    "created_at": "2024-01-01T00:00:00Z",
    "test_mode": false,
    "off_session": false
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.withflex.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a Bearer token to access this API.

Path Parameters

id
string
required
Example:

"obj_01EXAMPLE00000000000000000"

pm_id
string
required
Example:

"obj_01EXAMPLE00000000000000000"

Query Parameters

limit
integer<int32> | null

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

Example:

10

offset
integer<int32> | null

Number of objects to skip before returning results.

Example:

0

Response

Success

payment_method
object
required
Example:
{
"payment_method_id": "obj_01EXAMPLE00000000000000000",
"billing_details": {
"address": {
"city": "San Francisco",
"country": "US",
"line1": "123 Main St",
"line2": "Suite 100",
"postal_code": "94107",
"state": "CA"
},
"email": "john.doe@example.com",
"name": "Example",
"phone": "+15555555555"
},
"customer": "string",
"metadata": {},
"card": {
"brand": "american_express",
"country": "string",
"exp_month": 12,
"exp_year": 2025,
"funding": "credit",
"last4": "string"
},
"created_at": "2024-01-01T00:00:00Z",
"test_mode": false,
"off_session": false
}